Delete a PIX key for a specific merchant
curl --request DELETE \
--url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/pix/keys \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"key": "[email protected]",
"provider": "CELCOIN"
}
'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/pix/keys"
payload = {
"key": "[email protected]",
"provider": "CELCOIN"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '[email protected]', provider: 'CELCOIN'})
};
fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/pix/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Banking
Delete a PIX key for a specific merchant
Requires the merchant.pix.delete permission.
Deletes a PIX key for a merchant that belongs to the authenticated organization. The key will be unregistered from the provider and marked as deleted in the system.
DELETE
/
v1
/
merchants
/
{merchantId}
/
pix
/
keys
Delete a PIX key for a specific merchant
Authorizations
Company API key for authentication
Path Parameters
The merchant ID
Body
application/json
Provider name (accepts lowercase and uppercase, returns uppercase)
Available options:
CELCOIN, RINNE, CAPPTA Minimum string length:
1Example:
"CELCOIN"
Response
PIX key deleted successfully
⌘I

